Runtime

## org.eclipse.gmf.runtime.diagram.ui.providers.ide.providers
Class AbstractDiagramMarkerNavigationProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.marker.AbstractMarkerNavigationProvider
              org.eclipse.gmf.runtime.emf.ui.providers.marker.AbstractModelMarkerNavigationProvider
                  org.eclipse.gmf.runtime.diagram.ui.providers.ide.providers.AbstractDiagramMarkerNavigationProvider

All Implemented Interfaces:
  IProvider, org.eclipse.gmf.runtime.common.ui.services.internal.marker.IMarkerNavigationProvider

    public abstract class AbstractDiagramMarkerNavigationProvider

extends AbstractModelMarkerNavigationProvider

Abstract Diagram Marker Navigation Provider

This class provides utility methods for converting element ID strings into their corresponding edit parts within the diagram.

Constructor Summary
`AbstractDiagramMarkerNavigationProvider()`

Method Summary
`protected java.util.List` `convertIdsToViews(java.util.List elementIds)` Converts a list of element Id strings into a list of IViews.
`protected java.util.List` `findEditParts(java.util.List views)` Convert a list of views into a list of associated edit parts.
`protected org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramWorkbenchPart` `getDiagramEditor()` Get the associated diagram editor (implements IDiagramWorkbenchPart).
`boolean` `provides(IOperation operation)` Only accept marker navigation operations for diagram editors.

Methods inherited from class org.eclipse.gmf.runtime.emf.ui.providers.marker.AbstractModelMarkerNavigationProvider
`getEObjects, getResource, gotoMarker`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.marker.AbstractMarkerNavigationProvider
`doGotoMarker, getEditor, setEditor`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### AbstractDiagramMarkerNavigationProvider

    public AbstractDiagramMarkerNavigationProvider()

Method Detail

### getDiagramEditor

    protected final org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramWorkbenchPart getDiagramEditor()

  Get the associated diagram editor (implements IDiagramWorkbenchPart).

  Returns:
    the diagram editor

### convertIdsToViews

    protected final java.util.List convertIdsToViews(java.util.List elementIds)

  Converts a list of element Id strings into a list of IViews.

  Parameters:
    `elementIds` - - a list of element ID strings
  Returns:
    a list of views corresponding to the ID strings

### findEditParts

    protected final java.util.List findEditParts(java.util.List views)

  Convert a list of views into a list of associated edit parts.

  Parameters:
    `elements` - - list of views (IView)
  Returns:
    - list of corresponding edit parts

### provides

    public boolean provides(IOperation operation)

  Only accept marker navigation operations for diagram editors.

  Specified by:
    `provides` in interface `IProvider`
  Overrides:
    `provides` in class `AbstractMarkerNavigationProvider`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.
  See Also:
    `IProvider.provides(org.eclipse.gmf.runtime.common.core.service.IOperation)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.